<?php
/***************************************************************************
 *                              admin_board.php
 *                            -------------------
 *   begin                : Thursday, Jul 12, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: admin_board.php,v 1.51.2.11 2005/10/30 15:17:13 acydburn Exp $
 *
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['General']['rpg_acp'] = "$file";
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

//
// Pull all config data
//
$sql = "SELECT *
	FROM " . RPG_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query rpg information", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$config_name = $row['name'];
		$config_value = $row['value'];
		$default_config[$config_name] = isset($HTTP_POST_VARS['submit']) ? str_replace("'", "\'", $config_value) : $config_value;

		$new[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? $HTTP_POST_VARS[$config_name] : $default_config[$config_name];

		if( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . RPG_TABLE . " SET
				value = '" . str_replace("\'", "''", $new[$config_name]) . "'
				WHERE name = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update rpg configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}

	if( isset($HTTP_POST_VARS['submit']) )
	{
		$message = $lang['Config_updated'] . "<br /><br />" . sprintf($lang['Click_return_config'], "<a href=\"" . append_sid("admin_rpg_tools.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");
		message_die(GENERAL_MESSAGE, $message);
	}
}

$select1a = '';
$select1b = '';

$select2a = '';
$select2b = '';

if($new['allowweath'] == 0)
{
  $select1a = ' selected="true"';
}
else
{
  $select1b = ' selected="true"';
}

if($new['allowbatt'] == 0)
{
  $select2a = ' selected="true"';
}
else
{
  $select2b = ' selected="true"';
}


$select1 = '<select name="mindamg">';
$selected = '';
for($i=0; $i<=100; $i++)
{
  if($new['mindamg'] == $i)
  {
    $selected = ' selected="true"';
  }
  else
  {
    $selected = '';
  }
  $select1 .= '<option value="' . $i . '"' . $selected . '>' . $i . ' %</option>';
}
  $select1 .= '</select>';
$select2 = '<select name="maxdamg">';
$selected = '';
for($i=0; $i<=100; $i++)
{
  if($new['maxdamg'] == $i)
  {
    $selected = ' selected="true"';
  }
  else
  {
    $selected = '';
  }
  $select2 .= '<option value="' . $i . '"' . $selected . '>' . $i . ' %</option>';
}
  $select2 .= '</select>';


$template->set_filenames(array(
	"body" => "admin/rpg_tools_body.tpl")
);

$template->assign_vars(array(
	"S_CONFIG_ACTION" => append_sid("admin_rpg_tools.$phpEx"),
    "L_SUBMIT"        => $lang['Submit'],
    "L_RESET"         => $lang['Reset'],
    "L_HEAD"          => $lang['rpg_acp'],
    "L_DESC"          => $lang['rpg_acpdesc'],
    "L_VERSION"       => $lang['rpg_acp'] . " - " . $lang['rpg_mversion'] . " " . $new['version'],
    "L_FOOTER"        => $lang['rpg_credits'],
    "L_1"			  => $lang['rpg_acp_1'],
	"L_2"			  => $lang['rpg_acp_1d'],
	"L_3"			  => $lang['rpg_acp_2'],
	"L_4"			  => $lang['rpg_acp_2d'],
	"L_5"			  => $lang['rpg_acp_3'],
	"L_6"			  => $lang['rpg_acp_3d'],
	"L_7"			  => $lang['rpg_acp_4'],
	"L_8"			  => $lang['rpg_acp_4d'],

    "O1"              => $select1a,
    "O2"              => $select1b,
    "O3"              => $select2a,
    "O4"              => $select2b,

    "D1"              => $lang['No'],
    "D2"              => $lang['Yes'],

    "SELECT1"         => $select1,
    "SELECT2"         => $select2)
);

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>