<?php
/***************************************************************************
 *                              admin_board.php
 *                            -------------------
 *   begin                : Thursday, Jul 12, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: admin_board.php,v 1.51.2.11 2005/10/30 15:17:13 acydburn Exp $
 *
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['Forums']['rpg_wetter'] = "$file";
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

$template->set_filenames(array(
	"body" => "admin/rpg_weather_body.tpl")
);
//
// Pull all config data
//
$sql = "SELECT *
	FROM " . FORUMS_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query forum information", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
        $config_name = '';
        $config_name = $row['forum_id'];
        $forum_name = $row['forum_name'];
		$config_value = $row['rpg_weather'];
		$default_config[$config_name] = isset($HTTP_POST_VARS['submit']) ? str_replace("'", "\'", $config_value) : $config_value;

        $neueswetter = rpgweather('','generate');

        $new[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? $HTTP_POST_VARS[$config_name] : $default_config[$config_name];

		if( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . FORUMS_TABLE . " SET
				rpg_weather = '" . str_replace("\'", "''", $new[$config_name]) . "'
				WHERE forum_id = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update forum configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}

			$sql = "UPDATE " . FORUMS_TABLE . " SET
				rpg_sweather = '" . str_replace("\'", "''", $neueswetter) . "'
				WHERE forum_id = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update forum configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}

		if($config_value == 1)
		{
		  $select1b = ' selected="true"';
          $select1a = '';
		}
		else
		{
  		  $select1b = '';
          $select1a = ' selected="true"';
		}


        $template->assign_block_vars('forumrow', array(
  			'NAME' => $forum_name,
    		'SELECTNAME' => $config_name,
            'SELECTOR1' => $select1a,
            'SELECTOR2' => $select1b));

	}

	if( isset($HTTP_POST_VARS['submit']) )
	{
		$message = $lang['Config_updated'] . "<br /><br />" . sprintf($lang['Click_return_config'], "<a href=\"" . append_sid("admin_rpg_weather.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");
		message_die(GENERAL_MESSAGE, $message);
	}
}

$template->assign_vars(array(
	"S_CONFIG_ACTION" => append_sid("admin_rpg_weather.$phpEx"),
    "L_SUBMIT"        => $lang['Submit'],
    "L_RESET"         => $lang['Reset'],
    "L_HEAD"          => $lang['rpg_wetter'],
    "L_DESC"          => $lang['rpg_wetter_all'],
    "L_VERSION"       => $lang['Forums'] . " - " . $lang['rpg_wetter'],
    "L_FOOTER"        => $lang['rpg_credits'],

    "D1"              => $lang['No'],
    "D2"              => $lang['Yes'])
);

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>